## disk-password-gui 1.0.0

=== debian/changelog ===
disk-password-gui (1.0.0-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Tue, 21 Nov 2023 11:22:02 +0100

disk-password-gui (1.0.0-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 21 Nov 2023 11:22:02 +0100

disk-password-gui (0.1-1) unstable; urgency=low

  * Initial release 

 -- Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com>  Wed, 29 Mar 2023 13:42:34 +0200

## disk-password-gui 1.0.1

=== Makefile ===
default: help

help:
	@echo "Use setup.py to build"
	@echo "Extra make targets available:"
	@echo " install-autostart - install autostart files (xdg, systemd)"
	@echo " install-icons - install icons"
	@echo " install - calls both of the above (but calling setup.py is still necessary)"

install-icons:
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/scalable/apps
	cp icons/eye.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-eye.svg
	cp icons/eye-off.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-eye-off.svg
	cp icons/black-lock.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qubes-black-lock.svg

install-desktop:
	mkdir -p $(DESTDIR)/usr/share/applications
	cp desktop_files/disk_password_gui.desktop $(DESTDIR)/usr/share/applications/

install: install-icons install-desktop

.PHONY: clean
clean:

=== debian/changelog ===
disk-password-gui (1.0.1-1+deb12u1+devel1) bookworm; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 15:22:25 +0000

disk-password-gui (1.0.1-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Remove deprecated pkg_resources

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 20 Jul 2024 02:52:21 +0200

=== debian/control ===
Source: disk-password-gui
Section: admin
Priority: optional
Maintainer: Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 3.9.5
Homepage: https://www.qubes-os.org/
X-Python3-Version: >= 3.5

Package: disk-password-gui
Architecture: any
Depends:
 ${python3:Depends},
 ${misc:Depends}
Description: A simple gui to change LUKS disk encryption password

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = disk-password-gui

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	make clean
